{% extends 'profile/layouts/frontend/base.html' %}
{% load humanize %}
{% load static %}
{% block main %}
<div class="image_bg--single" style="background-image: url({{detpak.foto.url}});"></div>
        <div class="page_content single-page tour-single">
            <div class="content-head">
                <div class="wrap">
                    <div class="wrap_float">
                        <div class="main">
                            <div class="section-top single-row">
                                <div class="single-left">
                                    <div class="rating">
                                    <div class="stars">
                                        <div class="star active"></div>
                                        <div class="star active"></div>
                                        <div class="star active"></div>
                                        <div class="star active"></div>
                                        <div class="star active"></div>
                                    </div>
                                    
                                    </div>
                                    <h1 class="title">
                                        {{detpak.judul}}
                                    </h1>
                                    <div class="geo">Yogyakarta -
                                        {% if detpak.diskon %} 
                                            <span class="harga">{{detpak.diskon}}</span></div>
                                        {% else %}
                                            <span class="harga">{{detpak.harga}}</span></div>
                                        {% endif %}
                                </div>
                                <div class="single-right controls">
                                    <a class="btn" href="https://wa.me/{{ wa.keterangan }}?text={{ text.keterangan|urlencode}}"><span>Pesan Sekarang</span></a>
                                    <div class="slick-arrows tour-single-arrows">
                                        <div class="arrow prev"></div>
                                        <div class="arrow next"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="single-tour-slider" id="single-tour-slider">
                                {% for x in detfot %}
                                    <div class="single-tour-slide">
                                        <img src="{{x.images.url}}" class="image-cover" alt="">
                                    </div>
                                {% endfor %}
                            </div>
                        <div class="description single-row">
                            <div class="single-left">
                                <p>
                                    {{detpak.judul}} meliputi {{namdes}}.
                                </p>
                            </div>
                            <div class="single-right">
                                <a href="{% url 'profile:paket' %}" class="slider_item">
                                        <div class="slider_item__content">
                                            
                                            <div class="title">
                                                {{detpak.judul}}<br> Rp. {{detpak.harga|floatformat:0|intcomma}},-
                                            </div>
                                            
                                        </div>
                                    </a>
                            </div>
                        </div>
                        </div>
                    </div>
                </div>
            <div class="content-body">
                <div class="wrap">
                    <div class="wrap_float">
                        <div class="single-left">
                            <div class="single-content page--content details">
                                <h2>Deskripsi Paket</h2>
                                <p>
                                    {{detpak.keterangan}}
                                </p>
                                
                                <div class="included">
                                    <h2>Destinasi Wisata</h2>
                                    <div class="included-items">
                                        {% for x in destinasi %}
                                            <div class="included-item">
                                                <div class="included_title">{{x.nama}}</div>
                                                <div class="included_text">{{x.fasilitas}}</div>
                                            </div>
                                        {% endfor %}
                                    </div>
                                </div>
                                {% for y in destinasi %}
                                    <h3>{{y.nama}}</h3>
                                    <p>
                                    {{y.deskripsi}}
                                    </p>
                                    <div class="apartment-item">
                                        <div class="apartment-images lightgallery">
                                            {% for x in y.destinasiimage_set.all %}
                                                    <a class="image-container" href="{{x.images.url}}">
                                                        <img src="{{x.images.url}}" class="image-cover" alt="">
                                                    </a>
                                            {% endfor %}
                                            <!-- <a class="image-container" href="img/vput7.jpg">
                                                <img src="img/vput7.jpg" class="image-cover" alt="">
                                            </a>
                                            <a class="image-container" href="img/vput8.jpg">
                                                <img src="img/vput8.jpg" class="image-cover" alt="">
                                            </a> -->
                                        </div>
                                        <a  href="https://wa.me/{{ wa.keterangan }}?text={{ text.keterangan|urlencode }}" class="btn">
                                            <span>Pesan Sekarang!</span>
                                        </a>
                                    </div>
                                {% endfor %}
                            </div>

                            <div class="related_tours" id="end-single-content">
                                <div class="_title">
                                Paket Lainnya
                                </div>
                                <div class="most_popular__section">
                                {% for x in biasa %}
                                    <a href="{% url 'profile:detail_paket' x.id %}" class="slider_item" style="background-image: url({{x.foto.url}})">
                                        <div class="slider_item__content">
                                            <div class="rating">
                                                <div class="stars">
                                                    <div class="star active"></div>
                                                    <div class="star active"></div>
                                                    <div class="star active"></div>
                                                    <div class="star active"></div>
                                                    <div class="star"></div>
                                                </div>
                                                <!-- <div class="reviews_count">
                                                    (2 Reviews)
                                                </div> -->
                                            </div>
                                            <div class="title">
                                                {{x.judul}} | 
                                                {% if x.diskon %}
                                                    Rp. {{x.diskon|floatformat:0|intcomma}}
                                                {% else %}
                                                    Rp. {{x.harga|floatformat:0|intcomma}}
                                                {% endif %}
                                            </div>
                                            <!-- <div class="days">
                                                <span>7 days</span>
                                            </div> -->
                                        </div>
                                    </a>
                                {% endfor %}
                            </div>
                            </div>
                            <div class="related_tours" id="end-single-content">
                                <div class="_title">
                                    Paket City Tour Terpopuler
                                </div>
                                <div class="most_popular__section">
                                {% for x in populer %}
                                    <a href="{% url 'profile:detail_paket' x.id %}" class="slider_item" style="background-image: url({{x.foto.url}})">
                                        <div class="slider_item__content">
                                            <div class="rating">
                                                <div class="stars">
                                                    <div class="star active"></div>
                                                    <div class="star active"></div>
                                                    <div class="star active"></div>
                                                    <div class="star active"></div>
                                                    <div class="star active"></div>
                                                </div>
                                                
                                            </div>
                                            <div class="title">
                                                {{x.judul}} |
                                                {% if x.diskon %} 
                                                    <span class="harga">{{x.diskon}}</span>
                                                {% else %}
                                                    <span class="harga">{{x.harga}}</span>
                                                {% endif %}
                                            </div>
                                            <!-- <div class="days">
                                                <span>1 days</span>
                                            </div> -->
                                        </div>
                                    </a>
                                {% endfor %}
                                
                            </div>
                            </div>
                        </div>
                        <div class="single-right">
                            <div class="single-sidebar">
                                <div class="tour--info" onclick="redirectToDetailPage()">
                                    <div class="top" style="background-image: url({{terlaris.foto.url}});">
                                        <div class="tags">
                                            <div class="tag discount">Terfavorit</div>
                                            
                                        </div>
                                        <div class="flex-bottom">
                                            <div class="rating">
                                            <div class="stars">
                                                <div class="star active"></div>
                                                <div class="star active"></div>
                                                <div class="star active"></div>
                                                <div class="star active"></div>
                                                <div class="star active"></div>
                                            </div>
                                            
                                            </div>
                                            <div class="_title">{{terlaris.judul}}</div>
                                            
                                        </div>
                                    </div>
                                    <div class="bottom">
                                        <div class="cost">
                                            <div class="new-cost">Rp. {{terlaris.diskon|floatformat:0|intcomma}}</div>
                                            <div class="old-cost">Rp. {{terlaris.harga|floatformat:0|intcomma}}</div>
                                        </div>
                                        <a href="https://wa.me/{{ wa.keterangan }}?text={{ text.keterangan|urlencode }}" class="btn">
                                            Pesan Sekarang
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="mobile-fixed-bottom getModal" data-href="#book-now">
                Book now
            </div>
        </div>
{% endblock main %}
{% block scripts %}
<script>
    var prices = document.querySelectorAll('.harga');

    for (var i = 0; i < prices.length; i++) {
        var price = prices[i].innerHTML;
        price = parseFloat(price).toFixed(0);
        if(price >= 1000){
            price = (price/1000)+'K';
        }
        prices[i].innerHTML = price;
    }

    function redirectToDetailPage() {
        window.location.href = "{% url 'profile:detail_paket' terlaris.id %}";
    }
</script>
{% endblock %}